# GstInterpolationControlSource

GstInterpolationControlSource is a GstControlSource, that interpolates values between user-given control points. It supports several interpolation modes and property types.

To use GstInterpolationControlSource get a new instance by calling gst_interpolation_control_source_new, bind it to a GParamSpec and set some control points by calling gst_timed_value_control_source_set.

All functions are MT-safe.

## GstInterpolationControlSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstControlSource
                    ╰──GstTimedValueControlSource
                        ╰──GstInterpolationControlSource

The instance structure of GstControlSource.

### Members

`parent` (GstTimedValueControlSource) –
No description available

### Class structure

#### GstInterpolationControlSourceClass

##### Fields

`parent_class` (GstTimedValueControlSourceClass) –
No description available

### GstController.InterpolationControlSourceClass

##### Attributes

`parent_class` (GstController.TimedValueControlSourceClass) –
No description available

### GstController.InterpolationControlSourceClass

##### Attributes

`parent_class` (GstController.TimedValueControlSourceClass) –
No description available

## GstController.InterpolationControlSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlSource
                    ╰──GstController.TimedValueControlSource
                        ╰──GstController.InterpolationControlSource

The instance structure of Gst.ControlSource.

### Members

`parent` (GstController.TimedValueControlSource) –
No description available

## GstController.InterpolationControlSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlSource
                    ╰──GstController.TimedValueControlSource
                        ╰──GstController.InterpolationControlSource

The instance structure of Gst.ControlSource.

### Members

`parent` (GstController.TimedValueControlSource) –
No description available

### Constructors

#### gst_interpolation_control_source_new

    GstControlSource *
    gst_interpolation_control_source_new ()

This returns a new, unbound GstInterpolationControlSource.

Returns ( [transfer: full]) –

a new, unbound GstInterpolationControlSource.

#### GstController.InterpolationControlSource.prototype.new

    function GstController.InterpolationControlSource.prototype.new(): {
        // javascript wrapper for 'gst_interpolation_control_source_new'
    }

This returns a new, unbound GstController.InterpolationControlSource.

Returns (Gst.ControlSource) –

a new, unbound GstController.InterpolationControlSource.

#### GstController.InterpolationControlSource.new

    def GstController.InterpolationControlSource.new ():
        #python wrapper for 'gst_interpolation_control_source_new'

This returns a new, unbound GstController.InterpolationControlSource.

Returns (Gst.ControlSource) –

a new, unbound GstController.InterpolationControlSource.

### Properties

#### mode

    “mode” GstInterpolationMode *

Flags : Read / Write

#### mode

    “mode” GstController.InterpolationMode

Flags : Read / Write

#### mode

    “self.props.mode” GstController.InterpolationMode

Flags : Read / Write

## Enumerations

### GstInterpolationMode

The various interpolation modes available.

##### Members

`GST_INTERPOLATION_MODE_NONE` (0) –

steps-like interpolation, default

`GST_INTERPOLATION_MODE_LINEAR` (1) –

linear interpolation

`GST_INTERPOLATION_MODE_CUBIC` (2) –

cubic interpolation (natural), may overshoot the min or max values set by the control point, but is more 'curvy'

`GST_INTERPOLATION_MODE_CUBIC_MONOTONIC` (3) –

monotonic cubic interpolation, will not produce any values outside of the min-max range set by the control points (Since: 1.8)

### GstController.InterpolationMode

The various interpolation modes available.

##### Members

`GstController.InterpolationMode.NONE` (0) –

steps-like interpolation, default

`GstController.InterpolationMode.LINEAR` (1) –

linear interpolation

`GstController.InterpolationMode.CUBIC` (2) –

cubic interpolation (natural), may overshoot the min or max values set by the control point, but is more 'curvy'

`GstController.InterpolationMode.CUBIC_MONOTONIC` (3) –

monotonic cubic interpolation, will not produce any values outside of the min-max range set by the control points (Since: 1.8)

### GstController.InterpolationMode

The various interpolation modes available.

##### Members

`GstController.InterpolationMode.NONE` (0) –

steps-like interpolation, default

`GstController.InterpolationMode.LINEAR` (1) –

linear interpolation

`GstController.InterpolationMode.CUBIC` (2) –

cubic interpolation (natural), may overshoot the min or max values set by the control point, but is more 'curvy'

`GstController.InterpolationMode.CUBIC_MONOTONIC` (3) –

monotonic cubic interpolation, will not produce any values outside of the min-max range set by the control points (Since: 1.8)

## Constants

### GST_TYPE_INTERPOLATION_CONTROL_SOURCE

    #define GST_TYPE_INTERPOLATION_CONTROL_SOURCE \
      (gst_interpolation_control_source_get_type ())

The results of the search are